/*
 * Copyright (c) 2006 Deutsche Post World Net
 *                    Deutsche Post AG, SOPSOLUTIONS
 * All rights reserved.
 */
package org.eclipse.stp.xef;

import java.io.InputStream;

import org.eclipse.core.resources.IProject;
import org.eclipse.ui.IEditorPart;
import org.eclipse.ui.IWorkbenchPage;
import org.eclipse.ui.PartInitException;
import org.eclipse.ui.ide.IDE;

/**
 * @version $Revision: 1.1 $
 */
public class PolicyDetailEditorHelper {

	public static IPolicyDetailEditor openEditor(final String name, final IProject project, InputStream stream, final IPolicyDetailCallback callback) throws PartInitException {
		 IPolicyDetailEditorInput ed = new PolicyDetailEditorInput(name, stream, project, callback);
		 IWorkbenchPage workbenchPage = null; // get workbenchPage
		 IEditorPart part = IDE.openEditor(workbenchPage, ed, "XEF-Editor-ID");
		 IPolicyDetailEditor editor = (IPolicyDetailEditor)part;
		 return editor;
	}
}
